RIO_ROUTE_SET_OPS(9)

NAME
rio_route_set_ops - Sets routing operations for a particular vendor switch

SYNOPSIS

void rio_route_set_ops (struct rio_dev * rdev);

ARGUMENTS

rdev
    RIO device

DESCRIPTION

Searches the RIO route ops table for known switch types. If the vid and did match a switch table entry, then set the add_entry and get_entry ops to the table entry values.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.